Package org.eclipse.m2m.atl.debug.core.adwp

# Class BooleanValue

java.lang.Object
org.eclipse.m2m.atl.debug.core.adwp.Value
org.eclipse.m2m.atl.debug.core.adwp.BooleanValue

public final class BooleanValue extends Value
The boolean implementation of the debugger value.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getValue()`
`String`
`toString()`
`static BooleanValue`
`valueOf(boolean bool)`
Converts a boolean into a `BooleanValue`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getValue

public boolean getValue()

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`

### valueOf

public static BooleanValue valueOf(boolean bool)
Converts a boolean into a `BooleanValue`.

Parameters:
  `bool` - the boolean
Returns:
  the `BooleanValue`